Bug 1009348 - IndexOutOfBoundsException is thrown, when operator and is inside conditional element not
IndexOutOfBoundsException is thrown, when operator and is inside conditional...
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high
: ER5
: 6.0.0
Assigned To: Mario Fusco
Tomas David
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 05:16 EDT by Tomas David
Modified: 2014-08-06 16:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:16:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas David 2013-09-18 05:16:47 EDT
Description of problem:
When conditional element 'not' is used with length sliding window and two parts separated by operator 'and' are inside 'not', test fails with IndexOutOfBoundsException. 

Version-Release number of selected component (if applicable):
Drools 6.0.0-SNAPSHOT
Drools 6.0.0.ER3

How reproducible:
Pull request #257 submited in Drools.

Steps to Reproduce:
1. Make a drl file with one rule, which contains conditional element 'not' after 'when'. Two parts separated by operator 'and' should be inside 'not' and first part should contains length sliding window.
2. Write a simple test with one kieSession.
3. Run test.

Actual results:
IndexOutOfBoundsException is thrown.

Expected results:
Test should pass.

Additional info:
Comment 5 Mark Proctor 2013-10-15 18:27:49 EDT
This is now fixed and cherry-picked to 6.0.x
Comment 6 Tomas David 2013-11-28 03:58:51 EST
Verified on BRMS 6.0.0.ER5.

Note You need to log in before you can comment on or make changes to this bug.